Home
Home
  1. Payroll Provider API Prototypes
  • Salary Deduction
    • Welcome
    • Getting started
      • Availability and Onboarding
        • Light Availability Check
        • Full Availability Check
        • Onboarding
      • Salary Deduction
        • Deduction Instruction
        • Re-running Payroll
        • Deduction Payments and Reconciliation
        • Changes to Employee Status
    • API Reference
      • Authentication
      • Idempotency
      • Webhooks
        • Webhooks
      • Salary Deduction
        • Salary Deduction Data Request
        • Salary Deduction Confirmation Submission
    • Schemas
      • Availability Check
        • Light Availability Check Response
        • Light Availability Check Request
        • Full Availability Check Response
        • Full Availability Check Request
      • Core
        • ProblemDetails
      • Deduction Instructions
        • Salary Deduction
        • Confirmation Deduction Response
        • Salary Deduction Enablement Response
        • Employee Deduction Push Response
        • Employee Deduction Push Request
        • Latest Employee Deduction Push Response
      • Payment Account
        • Payment Account
        • Payment Information
      • Payroll
        • Salary Deduction Confirmation Data Submission
        • Salary Deduction Data Response
        • Payroll
        • Employee Payroll
        • Employment
        • Pay Date
        • Salary Deduction Enablement Request
      • Webhooks
        • Employee Update Payload
        • WebHook
  • Payroll Provider API Prototypes
    • Light Availability Check
      POST
    • Full Availability Check
      POST
    • Salary Deduction Enablement
      POST
    • Payroll Information
      GET
    • Salary Deduction Employee Data Push
      POST
    • Latest Salary Deduction Employee Data Push
      GET
  1. Payroll Provider API Prototypes

Payroll Information

GET
/payrolls/{payroll_id}
OperationId:get_payroll_information
Ontime calls this endpoint to get a payroll's frequency and future pay dates.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff '/payrolls/{{$string.uuid}}' \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'

Responses

🟢200
application/json
Indicates the request was successfully processed by the server and a valid response is included in the body.
Bodyapplication/json

Example
{
    "payroll_response": {
        "payroll": {
            "id": "PAYROLL-001",
            "payment_run_frequency": "monthly",
            "pay_dates": [
                {
                    "pay_date": "2026-10-28",
                    "payroll_cutoff": "2026-10-20",
                    "pay_period": "October-26"
                },
                {
                    "pay_date": "2026-11-27",
                    "payroll_cutoff": "2026-11-19",
                    "pay_period": "November-26"
                }
            ]
        }
    }
}
🟠400
🟠401Unauthorised
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
Previous
Salary Deduction Enablement
Next
Salary Deduction Employee Data Push